Package org.eclipse.graphiti.features.context.impl

# Class LocationContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext

All Implemented Interfaces:
  `IContext`, `ILocationContext`, `IPropertyBag`

Direct Known Subclasses:
  `AddBendpointContext`, `AreaContext`, `CustomContext`, `MoveConnectionDecoratorContext`, `MoveContext`

public class LocationContext extends DefaultContext implements ILocationContext
The Class LocationContext.

## Constructor Summary

Constructors
Constructor
Description
`LocationContext()`
Creates a new `LocationContext`.
`LocationContext(int x, int y)`
Creates a new `LocationContext`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getX()`
Gets the x.
`int`
`getY()`
Gets the y.
`void`
`setLocation(int x, int y)`
Sets the location.
`void`
`setX(int x)`
Sets the x.
`void`
`setY(int y)`
Sets the y.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### LocationContext

public LocationContext(int x, int y)
Creates a new `LocationContext`.

Parameters:
  `x` - the x
  `y` - the y

### LocationContext

public LocationContext()
Creates a new `LocationContext`.

## Method Details

### getX

public int getX()
Description copied from interface: `ILocationContext`
Gets the x.

Specified by:
  `getX` in interface `ILocationContext`
Returns:
  the x position

### getY

public int getY()
Description copied from interface: `ILocationContext`
Gets the y.

Specified by:
  `getY` in interface `ILocationContext`
Returns:
  the y position

### setLocation

public void setLocation(int x, int y)
Sets the location.

Parameters:
  `x` - the x
  `y` - the y

### setX

public void setX(int x)
Sets the x.

Parameters:
  `x` - The x to set.

### setY

public void setY(int y)
Sets the y.

Parameters:
  `y` - The y to set.

### toString

public String toString()

Overrides:
  `toString` in class `DefaultContext`